Package twisted :: Package conch :: Package ssh :: Module transport :: Class SSHCiphers |
[show private | hide private]
[frames | no frames]

## Class SSHCiphers

Method Summary
| `__init__(self, outCip, inCip, outMac, inMac)`
| `decrypt(self, blocks)`
| `encrypt(self, blocks)`
| `makeMAC(self, seqid, data)`
| `setKeys(self, outIV, outKey, inIV, inKey, outInteg, inInteg)`
| `verify(self, seqid, data, mac)`

Class Variable Summary
`dict` | `cipherMap`
`dict` | `macMap`

Class Variable Details

    ### cipherMap Type: `dict` Value:
        {'3des-cbc': ('DES3', 24, 0),
         '3des-ctr': ('DES3', 24, 1),
         'aes128-cbc': ('AES', 16, 0),
         'aes128-ctr': ('AES', 16, 1),
         'aes192-cbc': ('AES', 24, 0),
         'aes192-ctr': ('AES', 24, 1),
         'aes256-cbc': ('AES', 32, 0),
         'aes256-ctr': ('AES', 32, 1),
        ...

    ### macMap Type: `dict` Value:
        {'hmac-sha1': 'sha', 'none': None, 'hmac-md5': 'md5'}

Generated by Epydoc 1.1 on Thu May 8 13:16:23 2003 | http://epydoc.sf.net